Package ch.qos.logback.core.joran.action

# Class ConversionRuleAction

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.action.Action
ch.qos.logback.core.joran.action.ConversionRuleAction

All Implemented Interfaces:
  `ContextAware`

public class ConversionRuleAction extends Action

## Field Summary

### Fields inherited from class ch.qos.logback.core.joran.action.Action

`ACTION_CLASS_ATTRIBUTE, CLASS_ATTRIBUTE, FILE_ATTRIBUTE, KEY_ATTRIBUTE, NAME_ATTRIBUTE, PATTERN_ATTRIBUTE, SCOPE_ATTRIBUTE, VALUE_ATTRIBUTE`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`ConversionRuleAction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`begin(InterpretationContext ec, String localName, Attributes attributes)`
Instantiates an layout of the given class and sets its name.
`void`
`end(InterpretationContext ec, String n)`
Once the children elements are also parsed, now is the time to activate the appender options.
`void`
`finish(InterpretationContext ec)`

### Methods inherited from class ch.qos.logback.core.joran.action.Action

`body, getColumnNumber, getLineColStr, getLineNumber, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConversionRuleAction

public ConversionRuleAction()

## Method Details

### begin

public void begin(InterpretationContext ec, String localName, Attributes attributes)
Instantiates an layout of the given class and sets its name.

Specified by:
  `begin` in class `Action`

### end

public void end(InterpretationContext ec, String n)
Once the children elements are also parsed, now is the time to activate the appender options.

Specified by:
  `end` in class `Action`

### finish

public void finish(InterpretationContext ec)